CMSIS-NN: CMakeLists.txt File Reference

| CMSIS-NN Version 1.3.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Enumerations Enumerator Macros Groups Pages
Functions
CMakeLists.txt File Reference

## Functions

| cmake_minimum_required (VERSION 3.6) cmake_policy(SET CMP0077 NEW) project(CMSISNN) list(APPEND CMAKE_MODULE_PATH $

CMSIS DSP

list (APPEND CMAKE_MODULE_PATH ${ROOT}/CMSIS/DSP/Source) include(configLib) include(configDsp) option(CONCATENATION"Concatenation"ON) option(FULLYCONNECTED"Fully Connected"ON) option(CONVOLUTION"Convolutions"ON) option(ACTIVATION"Activations"ON) option(POOLING"Pooling"ON) option(SOFTMAX"Softmax"ON) option(BASICMATHSNN"Basic Maths for NN"ON) option(RESHAPE"Reshape"ON) option(NNSUPPORT"NN Support"ON) SET(NN $

CMSIS NN

list (APPEND CMAKE_MODULE_PATH ${NN}/Source) add_library(CMSISNN INTERFACE) if(BASICMATHSNN) add_subdirectory(BasicMathFunctions) target_link_libraries(CMSISNN INTERFACE CMSISNNBasicMaths) endif() if(CONCATENATION) add_subdirectory(ConcatenationFunctions) target_link_libraries(CMSISNN INTERFACE CMSISNNConcatenation) endif() if(FULLYCONNECTED) add_subdirectory(FullyConnectedFunctions) target_link_libraries(CMSISNN INTERFACE CMSISNNFullyConnected) endif() if(CONVOLUTION) add_subdirectory(ConvolutionFunctions) target_link_libraries(CMSISNN INTERFACE CMSISNNConvolutions) endif() if(ACTIVATION) add_subdirectory(ActivationFunctions) target_link_libraries(CMSISNN INTERFACE CMSISNNActivation) endif() if(POOLING) add_subdirectory(PoolingFunctions) target_link_libraries(CMSISNN INTERFACE CMSISNNPooling) endif() if(SOFTMAX) add_subdirectory(SoftmaxFunctions) target_link_libraries(CMSISNN INTERFACE CMSISNNSoftmax) endif() if(NNSUPPORT) add_subdirectory(NNSupportFunctions) target_link_libraries(CMSISNN INTERFACE CMSISNNSupport) endif() if(RESHAPE) add_subdirectory(ReshapeFunctions) target_link_libraries(CMSISNN INTERFACE CMSISNNReshape) endif() target_include_directories(CMSISNN INTERFACE"$

## Function Documentation

cmake_minimum_required | ( | VERSION 3. | 6 | ) |

CMSIS DSP list | ( | APPEND CMAKE_MODULE_PATH ${ROOT}/CMSIS/DSP/ | Source | ) |

CMSIS NN list | ( | APPEND CMAKE_MODULE_PATH ${NN}/ | Source | ) |